package com.chinaitop.depot.device.model;

import java.util.Date;

public class StorageDeviceinput {
    private Integer id;

    private Integer deviceType;

    private String deviceName;

    private String model;

    private Integer useCount;

    private String deviceManager;

    private Date inputTime;

    private String number;

    private String unit;

    private Long devicePrice;

    private String storageRack;

    private String storageRackCell;

    private String handler;

    private String bookKeeper;

    private String producer;

    private String remark;

    private Long serviceLife;

    private Integer parentId;

    private String position;

    private Integer status;

    private Integer brokenCount;

    private Date produceTime;

    private Integer orgId;
    
    //业务字段
    private String orgName;
    
    //入库的器材名称
    private String inputDeviceName;
    
    //存放地方
    private String positionName;
    
    
    
    
    
    

    public String getPositionName() {
		return positionName;
	}

	public void setPositionName(String positionName) {
		this.positionName = positionName;
	}

	public String getInputDeviceName() {
		return inputDeviceName;
	}

	public void setInputDeviceName(String inputDeviceName) {
		this.inputDeviceName = inputDeviceName;
	}

	public String getOrgName() {
		return orgName;
	}

	public void setOrgName(String orgName) {
		this.orgName = orgName;
	}

	/**
     * 器材入库表
     * @return id 器材入库表
     */
    public Integer getId() {
        return id;
    }

    /**
     * 器材入库表
     * @param id 器材入库表
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 器材类型的id（4种、用id去关联）
     * @return device_type 器材类型的id（4种、用id去关联）
     */
    public Integer getDeviceType() {
        return deviceType;
    }

    /**
     * 器材类型的id（4种、用id去关联）
     * @param deviceType 器材类型的id（4种、用id去关联）
     */
    public void setDeviceType(Integer deviceType) {
        this.deviceType = deviceType;
    }

    /**
     * 器材名称
     * @return device_name 器材名称
     */
    public String getDeviceName() {
        return deviceName;
    }

    /**
     * 器材名称
     * @param deviceName 器材名称
     */
    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName == null ? null : deviceName.trim();
    }

    /**
     * 规格型号
     * @return model 规格型号
     */
    public String getModel() {
        return model;
    }

    /**
     * 规格型号
     * @param model 规格型号
     */
    public void setModel(String model) {
        this.model = model == null ? null : model.trim();
    }

    /**
     * 库存数量（可用数量）
     * @return use_count 库存数量（可用数量）
     */
    public Integer getUseCount() {
        return useCount;
    }

    /**
     * 库存数量（可用数量）
     * @param useCount 库存数量（可用数量）
     */
    public void setUseCount(Integer useCount) {
        this.useCount = useCount;
    }

    /**
     * 器材的保管员
     * @return device_manager 器材的保管员
     */
    public String getDeviceManager() {
        return deviceManager;
    }

    /**
     * 器材的保管员
     * @param deviceManager 器材的保管员
     */
    public void setDeviceManager(String deviceManager) {
        this.deviceManager = deviceManager == null ? null : deviceManager.trim();
    }

    /**
     * 入库时间
     * @return input_time 入库时间
     */
    public Date getInputTime() {
        return inputTime;
    }

    /**
     * 入库时间
     * @param inputTime 入库时间
     */
    public void setInputTime(Date inputTime) {
        this.inputTime = inputTime;
    }

    /**
     * 资产编号
     * @return number 资产编号
     */
    public String getNumber() {
        return number;
    }

    /**
     * 资产编号
     * @param number 资产编号
     */
    public void setNumber(String number) {
        this.number = number == null ? null : number.trim();
    }

    /**
     * 单位
     * @return unit 单位
     */
    public String getUnit() {
        return unit;
    }

    /**
     * 单位
     * @param unit 单位
     */
    public void setUnit(String unit) {
        this.unit = unit == null ? null : unit.trim();
    }

    /**
     * 价格
     * @return device_price 价格
     */
    public Long getDevicePrice() {
        return devicePrice;
    }

    /**
     * 价格
     * @param devicePrice 价格
     */
    public void setDevicePrice(Long devicePrice) {
        this.devicePrice = devicePrice;
    }

    /**
     * 货架
     * @return storage_rack 货架
     */
    public String getStorageRack() {
        return storageRack;
    }

    /**
     * 货架
     * @param storageRack 货架
     */
    public void setStorageRack(String storageRack) {
        this.storageRack = storageRack == null ? null : storageRack.trim();
    }

    /**
     * 货位
     * @return storage_rack_cell 货位
     */
    public String getStorageRackCell() {
        return storageRackCell;
    }

    /**
     * 货位
     * @param storageRackCell 货位
     */
    public void setStorageRackCell(String storageRackCell) {
        this.storageRackCell = storageRackCell == null ? null : storageRackCell.trim();
    }

    /**
     * 经手人
     * @return handler 经手人
     */
    public String getHandler() {
        return handler;
    }

    /**
     * 经手人
     * @param handler 经手人
     */
    public void setHandler(String handler) {
        this.handler = handler == null ? null : handler.trim();
    }

    /**
     * 记账人
     * @return book_keeper 记账人
     */
    public String getBookKeeper() {
        return bookKeeper;
    }

    /**
     * 记账人
     * @param bookKeeper 记账人
     */
    public void setBookKeeper(String bookKeeper) {
        this.bookKeeper = bookKeeper == null ? null : bookKeeper.trim();
    }

    /**
     * 生产厂家
     * @return producer 生产厂家
     */
    public String getProducer() {
        return producer;
    }

    /**
     * 生产厂家
     * @param producer 生产厂家
     */
    public void setProducer(String producer) {
        this.producer = producer == null ? null : producer.trim();
    }

    /**
     * 备注
     * @return remark 备注
     */
    public String getRemark() {
        return remark;
    }

    /**
     * 备注
     * @param remark 备注
     */
    public void setRemark(String remark) {
        this.remark = remark == null ? null : remark.trim();
    }

    /**
     * 器材的使用年限
     * @return service_life 器材的使用年限
     */
    public Long getServiceLife() {
        return serviceLife;
    }

    /**
     * 器材的使用年限
     * @param serviceLife 器材的使用年限
     */
    public void setServiceLife(Long serviceLife) {
        this.serviceLife = serviceLife;
    }

    /**
     * 零配件与设备关联的id
     * @return parent_id 零配件与设备关联的id
     */
    public Integer getParentId() {
        return parentId;
    }

    /**
     * 零配件与设备关联的id
     * @param parentId 零配件与设备关联的id
     */
    public void setParentId(Integer parentId) {
        this.parentId = parentId;
    }

    /**
     * 存放位置
     * @return position 存放位置
     */
    public String getPosition() {
        return position;
    }

    /**
     * 存放位置
     * @param position 存放位置
     */
    public void setPosition(String position) {
        this.position = position == null ? null : position.trim();
    }

    /**
     * 设备状态（0：正常；1：报废; 2:保养；3：维修；4：领用；5：故障）
     * @return status 设备状态（0：正常；1：报废; 2:保养；3：维修；4：领用；5：故障）
     */
    public Integer getStatus() {
        return status;
    }

    /**
     * 设备状态（0：正常；1：报废; 2:保养；3：维修；4：领用；5：故障）
     * @param status 设备状态（0：正常；1：报废; 2:保养；3：维修；4：领用；5：故障）
     */
    public void setStatus(Integer status) {
        this.status = status;
    }

    /**
     * 故障数量
     * @return broken_count 故障数量
     */
    public Integer getBrokenCount() {
        return brokenCount;
    }

    /**
     * 故障数量
     * @param brokenCount 故障数量
     */
    public void setBrokenCount(Integer brokenCount) {
        this.brokenCount = brokenCount;
    }

    /**
     * 生产时间
     * @return produce_time 生产时间
     */
    public Date getProduceTime() {
        return produceTime;
    }

    /**
     * 生产时间
     * @param produceTime 生产时间
     */
    public void setProduceTime(Date produceTime) {
        this.produceTime = produceTime;
    }

    /**
     * 组织id
     * @return org_id 组织id
     */
    public Integer getOrgId() {
        return orgId;
    }

    /**
     * 组织id
     * @param orgId 组织id
     */
    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }
}