package com.chinaitop.depot.device.service.impl;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.chinaitop.depot.device.mapper.StorageDevicecheckMapper;
import com.chinaitop.depot.device.mapper.StorageDeviceinputMapper;
import com.chinaitop.depot.device.model.StorageDevicecheck;
import com.chinaitop.depot.device.model.StorageDevicecheckExample;
import com.chinaitop.depot.device.model.StorageDeviceinput;
import com.chinaitop.depot.device.model.StorageDeviceinputExample;
import com.chinaitop.depot.device.service.StorageDeviceCheckService;
import com.chinaitop.depot.utils.ParameterUtil;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.beans.Transient;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @auther mafy
 * @createtime 2018/1/3 0003
 */
@Service
public class StorageDeviceCheckServiceImpl implements StorageDeviceCheckService {

    @Resource
    private StorageDevicecheckMapper storageDevicecheckMapper;

    @Resource
    private StorageDeviceinputMapper storageDeviceinputMapper;

    /**
     * 分页查询盘点单
     * @param storageDevicecheckExample
     * @return
     */
    @Override
    public List<StorageDevicecheck> queryByExample(StorageDevicecheckExample storageDevicecheckExample) {
        return storageDevicecheckMapper.selectBySql(storageDevicecheckExample);
    }


    /**
     * 新增的时候查询input表里面的数据
     * @param storageDeviceinputExample
     * @return
     */
    @Override
    public List<StorageDeviceinput> childZlList(StorageDeviceinputExample storageDeviceinputExample) {
        return storageDeviceinputMapper.selectByExample(storageDeviceinputExample);
    }

    /**
     * 根据depotId查询对应数据
     *
     * @param depotId
     * @return
     */
    @Override
    public List<StorageDevicecheck> loadDataByDepotId(Integer depotId,String pddh) {

        StorageDevicecheckExample storageDevicecheckExample = new StorageDevicecheckExample();
        StorageDevicecheckExample.Criteria criteria = storageDevicecheckExample.createCriteria();
        criteria.andDepotIdEqualTo(depotId);
        criteria.andCheckNumberEqualTo(pddh);

        return storageDevicecheckMapper.selectByExample(storageDevicecheckExample);
    }

    /**
     * 获取当天的总盘点记录数
     *
     * @return
     */
    @Override
    public int getCountForDate(Map<String,Object> map) {
        return storageDevicecheckMapper.getCountForDate(map).size();
    }

    /**
     * 按照主键移除
     * @param depotId
     */
    @Override
    public void remove(Integer depotId,String checkNum) {
        StorageDevicecheckExample storageDevicecheckExample = new StorageDevicecheckExample();
        StorageDevicecheckExample.Criteria criteria = storageDevicecheckExample.createCriteria();
        criteria.andDepotIdEqualTo(depotId);
        criteria.andCheckNumberEqualTo(checkNum);
        storageDevicecheckMapper.deleteByExample(storageDevicecheckExample);
    }

    /**
     * 新增
     * @param json
     */
    @Override
    @Transient
    public void add(String json,String type) {



        String cfid = null,checkNum = null;
        JSONArray jsonArray = JSONArray.parseArray(json);
        StringBuilder sql = new StringBuilder();
        sql.append("INSERT INTO storage_devicecheck(check_number,check_date,depot_id,check_person,device_type,device_name,model,store_count,really_count,check_result,reason,org_id) VALUES");
        for (int i = 0; i < jsonArray.size(); i++) {
            sql.append("(");
                JSONObject jsonObject = JSONObject.parseObject(jsonArray.get(i).toString());
                sql.append("\"").append(jsonObject.get("check_number")).append("\",");
                sql.append("\"").append(jsonObject.get("check_date")).append("\",");
                sql.append("\"").append(jsonObject.get("depot_id")).append("\",");
                sql.append("\"").append(jsonObject.get("check_person")).append("\",");
                sql.append("\"").append(jsonObject.get("device_type")).append("\",");
                sql.append("\"").append(jsonObject.get("device_name")).append("\",");
                sql.append("\"").append(jsonObject.get("model")).append("\",");
                sql.append("\"").append(jsonObject.get("store_count")).append("\",");
                sql.append("\"").append(jsonObject.get("really_count")).append("\",");
                sql.append("\"").append(jsonObject.get("check_result")).append("\",");
                sql.append("\"").append(jsonObject.get("reason")).append("\",");
                sql.append("\"").append(jsonObject.get("org_id")).append("\"");
            sql.append(")");
            if (i != jsonArray.size()-1) sql.append(",");
            cfid =jsonObject.get("depot_id").toString();//仓id，删数据所用
            checkNum = jsonObject.get("check_number").toString();
        }
        System.out.println(sql.toString());

        if (ParameterUtil.isequal("edit",type)){
            // 新增之前，把原来的对应仓的盘点信息删掉
            remove(Integer.parseInt(cfid),checkNum);
        }
        Map<String,Object> map = new HashMap<>();
        map.put("sql",sql.toString());
        storageDevicecheckMapper.insertBySql(map);
    }
}
